<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('operate_stock_logs', function (Blueprint $table) {
            $table->integer('sku_id')->nullable()->comment('sku id')->change();
            $table->string('check_mobile')->nullable()->comment('审核人电话')->after('check_name');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('operate_stock_logs', function (Blueprint $table) {
            $table->tinyInteger('sku_id')->nullable()->comment('sku id')->after('user_id');
            $table->dropColumn('check_mobile');
        });
    }
};
